Cascade Delete Object Record
This asynchronous endpoint will delete a single parent object record and all related children and grandchildren.
POST
/api/{version}/vobjects/{object_name}/{object_record_id}/actions/cascadedeleteHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or text/csv |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{object_name} | The name of the object to delete. |
{object_record_id} | The ID of the specific object record to delete. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/product__v/00P000000000302/actions/cascadedeleteResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 27301,
"url": "/api/v26.1/services/jobs/27404"
}